<?php

namespace Tests\Feature\API;


use Tests\Feature\TestCase;

class PermissionTest extends TestCase
{
    public function test_get_group_permissions(): void
    {
        $response = $this->get(route('permission.group-permission'));

        $response->assertStatus(200)
            ->assertJsonStructure([
                'data' => [
                    '*' => [
                        'id',
                        'name',
                        'permissions'
                    ]
                ]
            ]);
    }
}
