<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('naming_rules', function (Blueprint $table) {
            $table->id();
            $table->string('name', 50);
            $table->integer('company_id')->default(0);
            $table->tinyInteger('global')->default(0)->comment("0:no;1-yes");
            $table->boolean("status")->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('naming_rules');
    }
};
